%define peardir /usr/share/pear
%define xmldir  /var/lib/pear

Summary: PEAR: Horde CSS Parser
Name: Horde_Css_Parser
Version: 1.0.11
Release: 1%{?dist}
License: LGPL-2.1
Group: Development/Libraries
Source0: http://pear.horde.org/get/Horde_Css_Parser-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/Horde_Css_Parser
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Role >= 1.0.0
Requires: php-channel(pear.horde.org)
BuildArch: noarch

Provides:       %{name} = %{version}


%description
This package provides access to the Sabberworm CSS Parser from within the
Horde framework.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Css_Parser.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Css_Parser.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Css_Parser >/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc docs/Horde_Css_Parser/*
%{peardir}/*
%{xmldir}/Horde_Css_Parser.xml

%changelog
* Tue Jul 26 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.11-1
- Updated to 1.0.11

* Mon Apr 18 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.10-1
- Updated to 1.0.10

* Tue Apr 5 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.9-1
- Updated to 1.0.9

* Sat Aug 1 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.8-1
- Updated to 1.0.8

* Sat Aug 1 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.7-1
- Updated to 1.0.7

* Wed Jan 14 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.6-1
- Updated to 1.0.6

* Fri Feb 21 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.4-1
- Updated to 1.0.4

* Thu Oct 24 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.3-1
- Updated to 1.0.3

* Fri Aug 30 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.1-1
- Updated to 1.0.1

* Mon Jun 3 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.0-1
- Initial release for SME Server
- Original build from pear make-rpm-spec

