%define peardir /usr/share/pear
%define xmldir  /var/lib/pear

Summary: PEAR: Horde LDAP libraries
Name: Horde_Ldap
Version: 2.4.2
Release: 1%{?dist}
License: LGPL-3.0
Group: Development/Libraries
Source0: http://pear.horde.org/get/Horde_Ldap-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/Horde_Ldap
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Role >= 1.0.0
Requires: Horde_Exception >= 2.0.0
Requires: Horde_Exception < 3.0.0alpha1
Requires: Horde_Util >= 2.0.0
Requires: Horde_Util < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
Requires: php-channel(pear.horde.org)
BuildArch: noarch

Provides:       %{name} = %{version}

%description
A set of classes for connecting to LDAP servers and working with directory
objects.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Ldap.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Ldap.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Ldap >/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc docs/Horde_Ldap/*
%{peardir}/*
%{xmldir}/Horde_Ldap.xml

%changelog
* Sun Nov 24 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.4.2-1  
- Updated to 2.4.2

* Fri Feb 9 2018 John H. Bennett III <bennettj@johnbennettservices.com> - 2.4.1-1  
- Updated to 2.4.1

* Sat Mar 4 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.4.0-1  
- Updated to 2.4.0

* Sun Feb 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.3.2-1  
- Updated to 2.3.2

* Thu Feb 12 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.3.1-1  
- Updated to 2.3.1

* Sat Jun 21 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.0-1  
- Updated to 2.2.0

* Mon Jun 9 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.6-1  
- Updated to 2.0.6

* Wed May 21 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.5-1  
- Updated to 2.0.5

* Thu Apr 3 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.4-1  
- Updated to 2.0.4

* Mon Oct 28 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.3-1
- Updated to 2.0.3

* Mon Jun 3 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.2-1
- Initial release for SME Server
- Original build from pear make-rpm-spec
