%define peardir /usr/share/pear
%define xmldir  /var/lib/pear

Summary: PEAR: Horde Text Filter API
Name: Horde_Text_Filter_Csstidy
Version: 2.0.1
Release: 1%{?dist}
License: GPL-2.0
Group: Development/Libraries
Source0: http://pear.horde.org/get/Horde_Text_Filter_Csstidy-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/Horde_Text_Filter_Csstidy
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Role >= 1.0.0
Requires: Horde_Text_Filter >= 2.0.0
Requires: Horde_Text_Filter < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
Requires: php-channel(pear.horde.org)
BuildArch: noarch

Provides:       %{name} = %{version}

%description
The Horde_Text_Filter_Csstidy:: class provides the PHP-based library needed
to perform optimization/compression on CSS code. It is provided in a
separate package as the code is under the GPLv2 license instead of the
LGPLv2 license used for the Text_Filter class.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Text_Filter_Csstidy.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Text_Filter_Csstidy.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Text_Filter_Csstidy >/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc docs/Horde_Text_Filter_Csstidy/*
%{peardir}/*
%{xmldir}/Horde_Text_Filter_Csstidy.xml

%changelog
* Tue Jun 4 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.1-1
- Initial release for SME Server
- Original build from pear make-rpm-spec

