%define peardir /usr/share/pear
%define xmldir  /var/lib/pear

Summary: PEAR: Horde_Xml_Wbxml provides an API for encoding and decoding WBXML documents used in SyncML and other wireless applications
Name: Horde_Xml_Wbxml
Version: 2.0.4
Release: 1%{?dist}
License: LGPL-2.1
Group: Development/Libraries
Source0: http://pear.horde.org/get/Horde_Xml_Wbxml-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/Horde_Xml_Wbxml
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Role >= 1.0.0
Requires: Horde_Util >= 2.0.0
Requires: Horde_Util < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
Requires: php-channel(pear.horde.org)
BuildArch: noarch

Provides:       %{name} = %{version}

%description
Encoding and decoding of WBXML (Wireless Binary XML) documents. WBXML is
used in SyncML for transferring smaller amounts of data with wireless
devices.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Xml_Wbxml.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Xml_Wbxml.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Xml_Wbxml >/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc docs/Horde_Xml_Wbxml/*
%{peardir}/*
%{xmldir}/Horde_Xml_Wbxml.xml

%changelog
* Sun Nov 24 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.4-1
- Updated to 2.0.4

* Sun Feb 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.3-1
- Updated to 2.0.3

* Sat Jan 10 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.2-1
- Updated to 2.0.2

* Tue Jun 4 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.1-1
- Initial release for SME Server
- Original build from pear make-rpm-spec
